/*
 * Classe para criar o painel lateral Results
 * O painel lateral é composto por sub painéis abertos individualmente
 * Os sub painéis são o jPanelDisplacements, jPanelDiagrams, jPanelIsovalues e o jPanelMapsMouse
 */

package app.frontend;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

/**
 *
 * @author André de Sousa
 */
public class LateralPanelResults extends javax.swing.JPanel {

    private String type;
    private String jPanelActivated;
    private final Color selectedColor;
    private final Color notSelectedColor;
    private final Color enteredColor;

    /**
     * Creates new form JLateralPanel
     */
    public LateralPanelResults() {
        initComponents();

        type = "";
        jPanelActivated = "";
        selectedColor = new Color(51, 153, 255);
        notSelectedColor = new Color(236, 236, 236);
        enteredColor = new Color(222, 222, 222);

        jLabelScale.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelTitle.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelDiagrams.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelIsolinesStresses.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelIsolinesSlabs.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelMapsStresses.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelMapsSlabs.setFont(new java.awt.Font("Tahoma", 0, 11));

        jRBNodesMesh.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBNumberingNodes.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBNodesDeformed.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBAxialForce.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBShearForce.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBBendingMoment.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBTorsionalMoment.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBIsolinesσx.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBIsolinesσy.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBIsolinesτxy.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBMapsσx.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBMapsσy.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBMapsτxy.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBIsolines_SlabsBottom.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBIsolines_SlabsTop.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBMaps_SlabsBottom.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRBMaps_SlabsTop.setFont(new java.awt.Font("Tahoma", 0, 11));

        jButtonClose.setFont(new java.awt.Font("Tahoma", 0, 11));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLateralPanelDisplacements = new javax.swing.JPanel();
        jLabelScale = new javax.swing.JLabel();
        jSlider1 = new javax.swing.JSlider();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabelTitle = new javax.swing.JLabel();
        jRBNodesMesh = new javax.swing.JRadioButton();
        jRBNumberingNodes = new javax.swing.JRadioButton();
        jRBNodesDeformed = new javax.swing.JRadioButton();
        jLateralPanelDiagrams = new javax.swing.JPanel();
        jLabelDiagrams = new javax.swing.JLabel();
        jRBAxialForce = new javax.swing.JRadioButton();
        jRBShearForce = new javax.swing.JRadioButton();
        jRBBendingMoment = new javax.swing.JRadioButton();
        jRBTorsionalMoment = new javax.swing.JRadioButton();
        jLateralPanelIsovalues = new javax.swing.JPanel();
        jLabelIsolinesStresses = new javax.swing.JLabel();
        jRBIsolinesσx = new javax.swing.JRadioButton();
        jRBIsolinesσy = new javax.swing.JRadioButton();
        jRBIsolinesτxy = new javax.swing.JRadioButton();
        jLabelIsolinesSlabs = new javax.swing.JLabel();
        jRBIsolines_SlabsTop = new javax.swing.JRadioButton();
        jRBIsolines_SlabsBottom = new javax.swing.JRadioButton();
        jLateralPanelMaps = new javax.swing.JPanel();
        jLabelMapsStresses = new javax.swing.JLabel();
        jRBMapsσx = new javax.swing.JRadioButton();
        jRBMapsσy = new javax.swing.JRadioButton();
        jRBMapsτxy = new javax.swing.JRadioButton();
        jLabelMapsSlabs = new javax.swing.JLabel();
        jRBMaps_SlabsTop = new javax.swing.JRadioButton();
        jRBMaps_SlabsBottom = new javax.swing.JRadioButton();
        jPanelContainer = new javax.swing.JPanel();
        jPanelDisplacements = new JPanelMouseEvents();
        jLabel1 = new javax.swing.JLabel();
        jPanelDisplacements_Container = new javax.swing.JPanel();
        jPanelDiagrams = new JPanelMouseEvents();
        jLabel9 = new javax.swing.JLabel();
        jPanelDiagrams_Container = new javax.swing.JPanel();
        jPanelIsovalues = new JPanelMouseEvents();
        jLabel2 = new javax.swing.JLabel();
        jPanelIsovalues_Container = new javax.swing.JPanel();
        jPanelMaps = new JPanelMouseEvents();
        jLabel3 = new javax.swing.JLabel();
        jPanelMaps_Container = new javax.swing.JPanel();
        jPanelBottom = new javax.swing.JPanel();
        jButtonClose = new javax.swing.JButton();
        jPanelSeparator = new javax.swing.JPanel();

        jLateralPanelDisplacements.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelDisplacements.setMinimumSize(new java.awt.Dimension(10, 200));
        jLateralPanelDisplacements.setPreferredSize(new java.awt.Dimension(199, 200));

        jLabelScale.setText("Scale of Deformed Structure");

        jSlider1.setPaintTicks(true);
        jSlider1.setFocusable(false);
        jSlider1.setOpaque(false);

        jLabel4.setText("-");

        jLabel5.setText("+");

        jLabelTitle.setText("View Nodes of Structure");
        jLabelTitle.setPreferredSize(new java.awt.Dimension(34, 25));

        jRBNodesMesh.setText("Nodes of the Mesh");
        jRBNodesMesh.setFocusable(false);
        jRBNodesMesh.setOpaque(false);

        jRBNumberingNodes.setText("Numbering of Nodes");
        jRBNumberingNodes.setEnabled(false);
        jRBNumberingNodes.setFocusable(false);
        jRBNumberingNodes.setOpaque(false);

        jRBNodesDeformed.setText("Nodes of the Deformed");
        jRBNodesDeformed.setFocusable(false);
        jRBNodesDeformed.setOpaque(false);

        javax.swing.GroupLayout jLateralPanelDisplacementsLayout = new javax.swing.GroupLayout(jLateralPanelDisplacements);
        jLateralPanelDisplacements.setLayout(jLateralPanelDisplacementsLayout);
        jLateralPanelDisplacementsLayout.setHorizontalGroup(
            jLateralPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelDisplacementsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelDisplacementsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelTitle,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addComponent(jLabelScale, javax.swing.GroupLayout.DEFAULT_SIZE, 179, Short.MAX_VALUE)
                                .addGroup(
                                    jLateralPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addComponent(jLabel4)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(jSlider1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(jLabel5)
                                )
                                .addGroup(
                                    jLateralPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelDisplacementsLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRBNodesMesh)
                                                .addComponent(jRBNodesDeformed)
                                                .addComponent(jRBNumberingNodes)
                                        )
                                        .addGap(0, 0, Short.MAX_VALUE)
                                )
                        )
                        .addContainerGap()
                )
        );
        jLateralPanelDisplacementsLayout.setVerticalGroup(
            jLateralPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelDisplacementsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabelScale, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jLateralPanelDisplacementsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    jLateralPanelDisplacementsLayout
                                        .createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel4)
                                        .addComponent(jLabel5)
                                )
                                .addComponent(
                                    jSlider1,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(
                            jLabelTitle,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jRBNodesMesh)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBNumberingNodes)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBNodesDeformed)
                        .addContainerGap(20, Short.MAX_VALUE)
                )
        );

        jLateralPanelDiagrams.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelDiagrams.setMinimumSize(new java.awt.Dimension(10, 150));
        jLateralPanelDiagrams.setPreferredSize(new java.awt.Dimension(199, 150));

        jLabelDiagrams.setText("Select Diagram:");
        jLabelDiagrams.setPreferredSize(new java.awt.Dimension(34, 25));

        jRBAxialForce.setSelected(true);
        jRBAxialForce.setText("Axial Force");
        jRBAxialForce.setFocusable(false);
        jRBAxialForce.setOpaque(false);

        jRBShearForce.setText("Shear Force");
        jRBShearForce.setFocusable(false);
        jRBShearForce.setOpaque(false);

        jRBBendingMoment.setText("Bending Moment");
        jRBBendingMoment.setFocusable(false);
        jRBBendingMoment.setOpaque(false);

        jRBTorsionalMoment.setText("Torsional Moment");
        jRBTorsionalMoment.setFocusable(false);
        jRBTorsionalMoment.setOpaque(false);

        javax.swing.GroupLayout jLateralPanelDiagramsLayout = new javax.swing.GroupLayout(jLateralPanelDiagrams);
        jLateralPanelDiagrams.setLayout(jLateralPanelDiagramsLayout);
        jLateralPanelDiagramsLayout.setHorizontalGroup(
            jLateralPanelDiagramsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelDiagramsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelDiagramsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelDiagrams,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addGroup(
                                    jLateralPanelDiagramsLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelDiagramsLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRBTorsionalMoment)
                                                .addComponent(jRBAxialForce)
                                                .addComponent(jRBBendingMoment)
                                                .addComponent(jRBShearForce)
                                        )
                                        .addGap(0, 70, Short.MAX_VALUE)
                                )
                        )
                        .addContainerGap()
                )
        );
        jLateralPanelDiagramsLayout.setVerticalGroup(
            jLateralPanelDiagramsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelDiagramsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(
                            jLabelDiagrams,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jRBAxialForce)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBShearForce)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBBendingMoment)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBTorsionalMoment)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );

        jLateralPanelIsovalues.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelIsovalues.setMinimumSize(new java.awt.Dimension(199, 220));
        jLateralPanelIsovalues.setPreferredSize(new java.awt.Dimension(199, 220));

        jLabelIsolinesStresses.setText("Select a stress:");
        jLabelIsolinesStresses.setPreferredSize(new java.awt.Dimension(40, 25));

        jRBIsolinesσx.setSelected(true);
        jRBIsolinesσx.setText("σx");
        jRBIsolinesσx.setFocusable(false);
        jRBIsolinesσx.setOpaque(false);

        jRBIsolinesσy.setText("σy");
        jRBIsolinesσy.setFocusable(false);
        jRBIsolinesσy.setOpaque(false);

        jRBIsolinesτxy.setText("τxy");
        jRBIsolinesτxy.setFocusable(false);
        jRBIsolinesτxy.setOpaque(false);

        jLabelIsolinesSlabs.setText("Select the plane of the slab:");
        jLabelIsolinesSlabs.setPreferredSize(new java.awt.Dimension(40, 25));

        jRBIsolines_SlabsTop.setSelected(true);
        jRBIsolines_SlabsTop.setText("Top");
        jRBIsolines_SlabsTop.setFocusable(false);
        jRBIsolines_SlabsTop.setOpaque(false);

        jRBIsolines_SlabsBottom.setText("Bottom");
        jRBIsolines_SlabsBottom.setFocusable(false);
        jRBIsolines_SlabsBottom.setOpaque(false);

        javax.swing.GroupLayout jLateralPanelIsovaluesLayout = new javax.swing.GroupLayout(jLateralPanelIsovalues);
        jLateralPanelIsovalues.setLayout(jLateralPanelIsovaluesLayout);
        jLateralPanelIsovaluesLayout.setHorizontalGroup(
            jLateralPanelIsovaluesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelIsovaluesLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelIsovaluesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelIsolinesStresses,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addComponent(
                                    jLabelIsolinesSlabs,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addGroup(
                                    jLateralPanelIsovaluesLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelIsovaluesLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRBIsolinesτxy)
                                                .addComponent(jRBIsolinesσx)
                                                .addComponent(jRBIsolinesσy)
                                                .addComponent(jRBIsolines_SlabsBottom)
                                                .addComponent(jRBIsolines_SlabsTop)
                                        )
                                        .addGap(0, 120, Short.MAX_VALUE)
                                )
                        )
                        .addContainerGap()
                )
        );
        jLateralPanelIsovaluesLayout.setVerticalGroup(
            jLateralPanelIsovaluesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelIsovaluesLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(
                            jLabelIsolinesStresses,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBIsolinesσx)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBIsolinesσy)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBIsolinesτxy)
                        .addGap(18, 18, 18)
                        .addComponent(
                            jLabelIsolinesSlabs,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBIsolines_SlabsTop)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBIsolines_SlabsBottom)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );

        jLateralPanelMaps.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelMaps.setMinimumSize(new java.awt.Dimension(0, 220));
        jLateralPanelMaps.setPreferredSize(new java.awt.Dimension(199, 220));

        jLabelMapsStresses.setText("Select a stress:");
        jLabelMapsStresses.setPreferredSize(new java.awt.Dimension(40, 25));

        jRBMapsσx.setSelected(true);
        jRBMapsσx.setText("σx");
        jRBMapsσx.setFocusable(false);
        jRBMapsσx.setOpaque(false);

        jRBMapsσy.setText("σy");
        jRBMapsσy.setFocusable(false);
        jRBMapsσy.setOpaque(false);

        jRBMapsτxy.setText("τxy");
        jRBMapsτxy.setFocusable(false);
        jRBMapsτxy.setOpaque(false);

        jLabelMapsSlabs.setText("Select the plane of the slab:");
        jLabelMapsSlabs.setPreferredSize(new java.awt.Dimension(40, 25));

        jRBMaps_SlabsTop.setSelected(true);
        jRBMaps_SlabsTop.setText("Top");
        jRBMaps_SlabsTop.setFocusable(false);
        jRBMaps_SlabsTop.setOpaque(false);

        jRBMaps_SlabsBottom.setText("Bottom");
        jRBMaps_SlabsBottom.setFocusable(false);
        jRBMaps_SlabsBottom.setOpaque(false);

        javax.swing.GroupLayout jLateralPanelMapsLayout = new javax.swing.GroupLayout(jLateralPanelMaps);
        jLateralPanelMaps.setLayout(jLateralPanelMapsLayout);
        jLateralPanelMapsLayout.setHorizontalGroup(
            jLateralPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelMapsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelMapsStresses,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addComponent(
                                    jLabelMapsSlabs,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addGroup(
                                    jLateralPanelMapsLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelMapsLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRBMapsτxy)
                                                .addComponent(jRBMapsσx)
                                                .addComponent(jRBMapsσy)
                                                .addComponent(jRBMaps_SlabsBottom)
                                                .addComponent(jRBMaps_SlabsTop)
                                        )
                                        .addGap(0, 116, Short.MAX_VALUE)
                                )
                        )
                        .addGap(14, 14, 14)
                )
        );
        jLateralPanelMapsLayout.setVerticalGroup(
            jLateralPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelMapsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(
                            jLabelMapsStresses,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBMapsσx)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBMapsσy)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBMapsτxy)
                        .addGap(18, 18, 18)
                        .addComponent(
                            jLabelMapsSlabs,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBMaps_SlabsTop)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRBMaps_SlabsBottom)
                        .addContainerGap(82, Short.MAX_VALUE)
                )
        );

        setBackground(new java.awt.Color(236, 236, 236));
        setPreferredSize(new java.awt.Dimension(200, 350));

        jPanelContainer.setBackground(new java.awt.Color(236, 236, 236));
        jPanelContainer.setPreferredSize(new java.awt.Dimension(199, 350));

        jPanelDisplacements.setBackground(new java.awt.Color(236, 236, 236));
        jPanelDisplacements.setName("jPanelDisplacements"); // NOI18N
        jPanelDisplacements.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelDisplacementsMousePressed(evt);
                }
            }
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel1.setText("Displacements");

        javax.swing.GroupLayout jPanelDisplacementsLayout = new javax.swing.GroupLayout(jPanelDisplacements);
        jPanelDisplacements.setLayout(jPanelDisplacementsLayout);
        jPanelDisplacementsLayout.setHorizontalGroup(
            jPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDisplacementsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelDisplacementsLayout.setVerticalGroup(
            jPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelDisplacements_Container.setBackground(new java.awt.Color(236, 236, 236));

        javax.swing.GroupLayout jPanelDisplacements_ContainerLayout = new javax.swing.GroupLayout(jPanelDisplacements_Container);
        jPanelDisplacements_Container.setLayout(jPanelDisplacements_ContainerLayout);
        jPanelDisplacements_ContainerLayout.setHorizontalGroup(
            jPanelDisplacements_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelDisplacements_ContainerLayout.setVerticalGroup(
            jPanelDisplacements_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelDiagrams.setBackground(new java.awt.Color(236, 236, 236));
        jPanelDiagrams.setName("jPanelDiagrams"); // NOI18N
        jPanelDiagrams.setPreferredSize(new java.awt.Dimension(92, 25));
        jPanelDiagrams.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelDiagramsMousePressed(evt);
                }
            }
        );

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel9.setText("Diagrams for Bars");

        javax.swing.GroupLayout jPanelDiagramsLayout = new javax.swing.GroupLayout(jPanelDiagrams);
        jPanelDiagrams.setLayout(jPanelDiagramsLayout);
        jPanelDiagramsLayout.setHorizontalGroup(
            jPanelDiagramsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDiagramsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel9, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelDiagramsLayout.setVerticalGroup(
            jPanelDiagramsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel9, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelDiagrams_Container.setBackground(new java.awt.Color(236, 236, 236));
        jPanelDiagrams_Container.setMinimumSize(new java.awt.Dimension(0, 0));
        jPanelDiagrams_Container.setPreferredSize(new java.awt.Dimension(0, 0));

        javax.swing.GroupLayout jPanelDiagrams_ContainerLayout = new javax.swing.GroupLayout(jPanelDiagrams_Container);
        jPanelDiagrams_Container.setLayout(jPanelDiagrams_ContainerLayout);
        jPanelDiagrams_ContainerLayout.setHorizontalGroup(
            jPanelDiagrams_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelDiagrams_ContainerLayout.setVerticalGroup(
            jPanelDiagrams_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelIsovalues.setBackground(new java.awt.Color(236, 236, 236));
        jPanelIsovalues.setName("jPanelIsovalues"); // NOI18N
        jPanelIsovalues.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelIsovaluesMousePressed(evt);
                }
            }
        );

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel2.setText("Lines of Isovalues");

        javax.swing.GroupLayout jPanelIsovaluesLayout = new javax.swing.GroupLayout(jPanelIsovalues);
        jPanelIsovalues.setLayout(jPanelIsovaluesLayout);
        jPanelIsovaluesLayout.setHorizontalGroup(
            jPanelIsovaluesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelIsovaluesLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelIsovaluesLayout.setVerticalGroup(
            jPanelIsovaluesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelIsovalues_Container.setBackground(new java.awt.Color(236, 236, 236));

        javax.swing.GroupLayout jPanelIsovalues_ContainerLayout = new javax.swing.GroupLayout(jPanelIsovalues_Container);
        jPanelIsovalues_Container.setLayout(jPanelIsovalues_ContainerLayout);
        jPanelIsovalues_ContainerLayout.setHorizontalGroup(
            jPanelIsovalues_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelIsovalues_ContainerLayout.setVerticalGroup(
            jPanelIsovalues_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelMaps.setBackground(new java.awt.Color(236, 236, 236));
        jPanelMaps.setName("jPanelMaps"); // NOI18N
        jPanelMaps.setPreferredSize(new java.awt.Dimension(0, 25));
        jPanelMaps.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelMapsMousePressed(evt);
                }
            }
        );

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel3.setText("Maps of Stresses");

        javax.swing.GroupLayout jPanelMapsLayout = new javax.swing.GroupLayout(jPanelMaps);
        jPanelMaps.setLayout(jPanelMapsLayout);
        jPanelMapsLayout.setHorizontalGroup(
            jPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelMapsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelMapsLayout.setVerticalGroup(
            jPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelMaps_Container.setBackground(new java.awt.Color(236, 236, 236));
        jPanelMaps_Container.setPreferredSize(new java.awt.Dimension(0, 0));

        javax.swing.GroupLayout jPanelMaps_ContainerLayout = new javax.swing.GroupLayout(jPanelMaps_Container);
        jPanelMaps_Container.setLayout(jPanelMaps_ContainerLayout);
        jPanelMaps_ContainerLayout.setHorizontalGroup(
            jPanelMaps_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelMaps_ContainerLayout.setVerticalGroup(
            jPanelMaps_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelBottom.setBackground(new java.awt.Color(236, 236, 236));

        jButtonClose.setText("Close");
        jButtonClose.setFocusPainted(false);
        jButtonClose.setFocusable(false);

        javax.swing.GroupLayout jPanelBottomLayout = new javax.swing.GroupLayout(jPanelBottom);
        jPanelBottom.setLayout(jPanelBottomLayout);
        jPanelBottomLayout.setHorizontalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addContainerGap(131, Short.MAX_VALUE)
                        .addComponent(jButtonClose)
                        .addContainerGap()
                )
        );
        jPanelBottomLayout.setVerticalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addContainerGap(217, Short.MAX_VALUE)
                        .addComponent(jButtonClose)
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout jPanelContainerLayout = new javax.swing.GroupLayout(jPanelContainer);
        jPanelContainer.setLayout(jPanelContainerLayout);
        jPanelContainerLayout.setHorizontalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(
                    jPanelDisplacements,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    Short.MAX_VALUE
                )
                .addComponent(
                    jPanelDisplacements_Container,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    Short.MAX_VALUE
                )
                .addComponent(jPanelIsovalues, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(
                    jPanelIsovalues_Container,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    Short.MAX_VALUE
                )
                .addComponent(jPanelBottom, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelMaps, javax.swing.GroupLayout.DEFAULT_SIZE, 199, Short.MAX_VALUE)
                .addComponent(jPanelMaps_Container, javax.swing.GroupLayout.DEFAULT_SIZE, 199, Short.MAX_VALUE)
                .addComponent(jPanelDiagrams, javax.swing.GroupLayout.DEFAULT_SIZE, 199, Short.MAX_VALUE)
                .addComponent(jPanelDiagrams_Container, javax.swing.GroupLayout.DEFAULT_SIZE, 199, Short.MAX_VALUE)
        );
        jPanelContainerLayout.setVerticalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelContainerLayout
                        .createSequentialGroup()
                        .addComponent(
                            jPanelDisplacements,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelDisplacements_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelDiagrams,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelDiagrams_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelIsovalues,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelIsovalues_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelMaps,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelMaps_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelBottom,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                )
        );

        jPanelSeparator.setBackground(new java.awt.Color(222, 222, 222));
        jPanelSeparator.setAlignmentX(0.0F);
        jPanelSeparator.setAlignmentY(0.0F);
        jPanelSeparator.setPreferredSize(new java.awt.Dimension(1, 0));

        javax.swing.GroupLayout jPanelSeparatorLayout = new javax.swing.GroupLayout(jPanelSeparator);
        jPanelSeparator.setLayout(jPanelSeparatorLayout);
        jPanelSeparatorLayout.setHorizontalGroup(
            jPanelSeparatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 1, Short.MAX_VALUE)
        );
        jPanelSeparatorLayout.setVerticalGroup(
            jPanelSeparatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    layout
                        .createSequentialGroup()
                        .addComponent(
                            jPanelContainer,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelSeparator,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                )
        );
        layout.setVerticalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanelContainer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelSeparator, javax.swing.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE)
        );
    } // </editor-fold>//GEN-END:initComponents

    /**
     * Métdodo para definir o conteúdo do painel em função do modelo estrutural
     *
     * @param type
     */
    public void setType(String type) {
        this.type = type;
        objectsOfLateralPanel();
    }

    /**
     * Método para abrir o painel lateral jPanelDisplacements
     */
    public void jPanelDisplacementsMousePressed() {
        jPanelDisplacementsMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelDiagrams
     */
    public void jPanelDiagramsMousePressed() {
        jPanelDiagramsMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelIsovalues
     */
    public void jPanelIsovaluesMousePressed() {
        jPanelIsovaluesMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelMaps
     */
    public void jPanelMapsMousePressed() {
        jPanelMapsMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelDisplacements
     *
     * @param evt
     */
    private void jPanelDisplacementsMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelDisplacementsMousePressed
        Dimension dimension = jLateralPanelDisplacements.getMinimumSize();
        jPanelDisplacements.setBackground(selectedColor);
        jPanelActivated = "jPanelDisplacements";
        jPanelActivated();

        jPanelDisplacements_Container.removeAll();
        jPanelDisplacements_Container.setSize(dimension);
        jPanelDisplacements_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelDisplacements_Container.setLayout(new BorderLayout());
        jPanelDisplacements_Container.add(jLateralPanelDisplacements);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelDisplacementsMousePressed

    /**
     * Método para abrir o painel lateral jPanelIsovalues
     *
     * @param evt
     */
    private void jPanelIsovaluesMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelIsovaluesMousePressed
        Dimension dimension = jLateralPanelIsovalues.getMinimumSize();
        jPanelIsovalues.setBackground(selectedColor);
        jPanelActivated = "jPanelIsovalues";
        jPanelActivated();

        jPanelIsovalues_Container.removeAll();
        jPanelIsovalues_Container.setSize(dimension);
        jPanelIsovalues_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelIsovalues_Container.setLayout(new BorderLayout());
        jPanelIsovalues_Container.add(jLateralPanelIsovalues);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelIsovaluesMousePressed

    /**
     * Método para abrir o painel lateral jPanelMaps
     *
     * @param evt
     */
    private void jPanelMapsMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelMapsMousePressed
        Dimension dimension = jLateralPanelMaps.getMinimumSize();
        jPanelMaps.setBackground(selectedColor);
        jPanelActivated = "jPanelMaps";
        jPanelActivated();

        jPanelMaps_Container.removeAll();
        jPanelMaps_Container.setSize(dimension);
        jPanelMaps_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelMaps_Container.setLayout(new BorderLayout());
        jPanelMaps_Container.add(jLateralPanelMaps);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelMapsMousePressed

    /**
     * Método para abrir o painel lateral jPanelDiagrams
     *
     * @param evt
     */
    private void jPanelDiagramsMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelDiagramsMousePressed
        Dimension dimension = jLateralPanelDiagrams.getMinimumSize();
        jPanelDiagrams.setBackground(selectedColor);
        jPanelActivated = "jPanelDiagrams";
        jPanelActivated();

        jPanelDiagrams_Container.removeAll();
        jPanelDiagrams_Container.setSize(dimension);
        jPanelDiagrams_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelDiagrams_Container.setLayout(new BorderLayout());
        jPanelDiagrams_Container.add(jLateralPanelDiagrams);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelDiagramsMousePressed

    /**
     * Classe privada para adicionar eventos do rato aos painéis
     */
    private class JPanelMouseEvents extends javax.swing.JPanel {

        private JPanelMouseEvents() {
            addMouseListener(
                new java.awt.event.MouseAdapter() {
                    @Override
                    public void mouseEntered(java.awt.event.MouseEvent evt) {
                        jPanelMouseEntered(evt);
                    }

                    @Override
                    public void mouseExited(java.awt.event.MouseEvent evt) {
                        jPanelMouseExited(evt);
                    }
                }
            );
        }

        private void jPanelMouseEntered(java.awt.event.MouseEvent evt) {
            String jPanelName;
            jPanelName = getName();

            if (jPanelActivated == null ? jPanelName != null : !jPanelActivated.equals(jPanelName)) {
                setBackground(enteredColor);
            }
        }

        private void jPanelMouseExited(java.awt.event.MouseEvent evt) {
            String jPanelName;
            jPanelName = getName();

            if (jPanelActivated == null ? jPanelName != null : !jPanelActivated.equals(jPanelName)) {
                setBackground(notSelectedColor);
            }
        }
    }

    /**
     * Método para alterar o estado dos painéis não selecionados
     */
    private void jPanelActivated() {
        if (!"jPanelDisplacements".equals(jPanelActivated)) {
            jPanelDisplacements.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }
        if (!"jPanelDiagrams".equals(jPanelActivated)) {
            jPanelDiagrams.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }
        if (!"jPanelIsovalues".equals(jPanelActivated)) {
            jPanelIsovalues.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }
        if (!"jPanelMaps".equals(jPanelActivated)) {
            jPanelMaps.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }

        jPanelContainer.updateUI();
    }

    /**
     * Método para alterar a dimensão dos painéis selecionados
     *
     * @param jPanelName é o nome do painel selecionado
     */
    private void jPanelActivated(String jPanelName) {
        if (!"jPanelDisplacements".equals(jPanelName)) {
            jPanelDisplacements_Container.removeAll();
            jPanelDisplacements_Container.setSize(199, 0);
            jPanelDisplacements_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
        if (!"jPanelDiagrams".equals(jPanelName)) {
            jPanelDiagrams_Container.removeAll();
            jPanelDiagrams_Container.setSize(199, 0);
            jPanelDiagrams_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
        if (!"jPanelIsovalues".equals(jPanelName)) {
            jPanelIsovalues_Container.removeAll();
            jPanelIsovalues_Container.setSize(199, 0);
            jPanelIsovalues_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
        if (!"jPanelMaps".equals(jPanelName)) {
            jPanelMaps_Container.removeAll();
            jPanelMaps_Container.setSize(199, 0);
            jPanelMaps_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
    }

    /**
     * Método para definir o estado dos objetos da classe
     */
    private void objectsOfLateralPanel() {
        jLabelDiagrams.setEnabled(false);
        jLabelIsolinesStresses.setEnabled(false);
        jLabelIsolinesSlabs.setEnabled(false);
        jLabelMapsStresses.setEnabled(false);
        jLabelMapsSlabs.setEnabled(false);

        jRBAxialForce.setEnabled(false);
        jRBShearForce.setEnabled(false);
        jRBBendingMoment.setEnabled(false);
        jRBTorsionalMoment.setEnabled(false);
        jRBIsolinesσx.setEnabled(false);
        jRBIsolinesσy.setEnabled(false);
        jRBIsolinesτxy.setEnabled(false);
        jRBMapsσx.setEnabled(false);
        jRBMapsσy.setEnabled(false);
        jRBMapsτxy.setEnabled(false);
        jRBIsolines_SlabsBottom.setEnabled(false);
        jRBIsolines_SlabsTop.setEnabled(false);
        jRBMaps_SlabsBottom.setEnabled(false);
        jRBMaps_SlabsTop.setEnabled(false);

        jRBAxialForce.setSelected(true);
        jRBShearForce.setSelected(false);
        jRBBendingMoment.setSelected(false);
        jRBTorsionalMoment.setSelected(false);
        jRBIsolinesσx.setSelected(true);
        jRBIsolinesσy.setSelected(false);
        jRBIsolinesτxy.setSelected(false);
        jRBMapsσx.setSelected(true);
        jRBMapsσy.setSelected(false);
        jRBMapsτxy.setSelected(false);
        jRBIsolines_SlabsBottom.setSelected(false);
        jRBIsolines_SlabsTop.setSelected(true);
        jRBMaps_SlabsBottom.setSelected(false);
        jRBMaps_SlabsTop.setSelected(true);

        switch (this.type) {
            case "1D":
                jLabelDiagrams.setEnabled(true);
                jRBAxialForce.setEnabled(true);
                break;
            case "2D":
                jLabelIsolinesStresses.setEnabled(true);
                jLabelMapsStresses.setEnabled(true);
                jRBIsolinesσx.setEnabled(true);
                jRBIsolinesσy.setEnabled(true);
                jRBIsolinesτxy.setEnabled(true);
                jRBMapsσx.setEnabled(true);
                jRBMapsσy.setEnabled(true);
                jRBMapsτxy.setEnabled(true);
                break;
            case "3D":
                //TODO add your handling code here
                break;
            case "Beams":
                //TODO add your handling code here
                break;
            case "Frames":
                jLabelDiagrams.setEnabled(true);
                jRBAxialForce.setEnabled(true);
                jRBShearForce.setEnabled(true);
                jRBBendingMoment.setEnabled(true);
                break;
            case "Grids":
                jLabelDiagrams.setEnabled(true);
                jRBShearForce.setEnabled(true);
                jRBBendingMoment.setEnabled(true);
                jRBTorsionalMoment.setEnabled(true);
                break;
            case "Slabs":
                jLabelIsolinesStresses.setEnabled(true);
                jLabelIsolinesSlabs.setEnabled(true);
                jLabelMapsStresses.setEnabled(true);
                jLabelMapsSlabs.setEnabled(true);
                jRBIsolinesσx.setEnabled(true);
                jRBIsolinesσy.setEnabled(true);
                jRBIsolinesτxy.setEnabled(true);
                jRBMapsσx.setEnabled(true);
                jRBMapsσy.setEnabled(true);
                jRBMapsτxy.setEnabled(true);
                jRBIsolines_SlabsBottom.setEnabled(true);
                jRBIsolines_SlabsTop.setEnabled(true);
                jRBMaps_SlabsBottom.setEnabled(true);
                jRBMaps_SlabsTop.setEnabled(true);
                break;
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonClose;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLabelDiagrams;
    private javax.swing.JLabel jLabelIsolinesSlabs;
    private javax.swing.JLabel jLabelIsolinesStresses;
    private javax.swing.JLabel jLabelMapsSlabs;
    private javax.swing.JLabel jLabelMapsStresses;
    private javax.swing.JLabel jLabelScale;
    private javax.swing.JLabel jLabelTitle;
    private javax.swing.JPanel jLateralPanelDiagrams;
    private javax.swing.JPanel jLateralPanelDisplacements;
    private javax.swing.JPanel jLateralPanelIsovalues;
    private javax.swing.JPanel jLateralPanelMaps;
    private javax.swing.JPanel jPanelBottom;
    private javax.swing.JPanel jPanelContainer;
    private javax.swing.JPanel jPanelDiagrams;
    private javax.swing.JPanel jPanelDiagrams_Container;
    private javax.swing.JPanel jPanelDisplacements;
    private javax.swing.JPanel jPanelDisplacements_Container;
    private javax.swing.JPanel jPanelIsovalues;
    private javax.swing.JPanel jPanelIsovalues_Container;
    private javax.swing.JPanel jPanelMaps;
    private javax.swing.JPanel jPanelMaps_Container;
    private javax.swing.JPanel jPanelSeparator;
    public javax.swing.JRadioButton jRBAxialForce;
    public javax.swing.JRadioButton jRBBendingMoment;
    public javax.swing.JRadioButton jRBIsolines_SlabsBottom;
    public javax.swing.JRadioButton jRBIsolines_SlabsTop;
    public javax.swing.JRadioButton jRBIsolinesσx;
    public javax.swing.JRadioButton jRBIsolinesσy;
    public javax.swing.JRadioButton jRBIsolinesτxy;
    public javax.swing.JRadioButton jRBMaps_SlabsBottom;
    public javax.swing.JRadioButton jRBMaps_SlabsTop;
    public javax.swing.JRadioButton jRBMapsσx;
    public javax.swing.JRadioButton jRBMapsσy;
    public javax.swing.JRadioButton jRBMapsτxy;
    public javax.swing.JRadioButton jRBNodesDeformed;
    public javax.swing.JRadioButton jRBNodesMesh;
    public javax.swing.JRadioButton jRBNumberingNodes;
    public javax.swing.JRadioButton jRBShearForce;
    public javax.swing.JRadioButton jRBTorsionalMoment;
    public javax.swing.JSlider jSlider1;
    // End of variables declaration//GEN-END:variables
}
